# Scopes

## Overview

Expanding the Scopes node will show a list of all existing solution scopes.\
Solution scopes are not tied to anything specific but the solution itself, with a default 'globals' scope available.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                               | Summary                    |
| ------------------------------------- | -------------------------- |
| [Create new scope](#create-new-scope) | Creates a new global scope |

## Commands Details

The details for each command available on this item via right-click context menu:

### Create new scope

Creates a new global scope. Global scopes can contain variables and methods that can be re-used across the solution. Beware how you use global scopes as it is sometimes better to encapsulate your code in form scope than exposing it to all forms.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/scopes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
